import 'dart:convert';

import 'package:http/http.dart' as http;

import '../talkApi.dart';
import 'getParticipantsResponse.dart';

class GetParticipants extends TalkApi<GetParticipantsResponse> {
  String token;
  GetParticipants(this.token) : super("v4/room/$token/participants", null);

  @override
  GetParticipantsResponse assemble(String raw) {
    return GetParticipantsResponse.fromJson(jsonDecode(raw)['ocs']);
  }

  @override
  Future<http.Response> request(Uri uri, Object? body, Map<String, String>? headers) {
    return http.get(uri, headers: headers);
  }

}